Subject: RE: More comments on - I-D ACTION:draft-parker-isis-wg-mib-00.txt

From: Jeff Parker <[email-masked]>
Date: Tue, 1 Dec 1998 19:23:15 -0500

Peter -
	You are right about the overlap.  Cisco allows you
to modify several system wide parameters on an interface basis
as well.  I'm using the following model

	upon circuit creation take the system wide variant
	use that, until configured otherwise

This would be hard to capture without duplicate fields.

On your second point, I want to see much clearer
descriptions of all of these timers.  Reasonable folks
could disagree about what today's text means.

- jparker
- nexabit.com

> -----Original Message-----
> From:	Peter Higginson [SMTP:[email-masked]]
> Sent:	Tuesday, December 01, 1998 7:03 PM
> To:	[email-masked]
> Subject:	More comments on - I-D
> ACTION:draft-parker-isis-wg-mib-00.txt
> 
> 
> Having tried to convert our implementation from the old draft to the
> new one, I had some problems with the new variables in Circuit Table.
> 
> I think as a minimum we need better explainations for the new
> variables
> since the variables do not exist in the OSI or DEC documentation.
> 
> I think I have 2 basic difficulties:
> 
> 1) Overlap between the System and Circuit Tables
> ================================================
> 
> The best example of this is seen by comparing isisSysCompSNPInt with
> isisCircL1CSNPInterval and isisCircL2CSNPInterval. The definitions are
> the same and something must be redundant.
> 
> Similarly isisSysMinLSPTransInt and isisCircLSPInterval.
> 
> Some customer requests I have seen ask for as much as possible to be
> "per-circuit" manageable. We are in danger of generating more
> duplicates
> and I'd therefore like to make the (somewhat radical) suggestion that
> the following move from the System table to the Circuit table:
> 
> 	MinLSPTransInt		(ie delete as duplicate)
> 	MinBroadLSPTransInt
> 	CompSNPInt			(ie delete as a duplicate)
> 	PartSNPInt
> 
> I would also like to rename isisCircLSPInterval to
> isisCircLSPRetranInt and
> set its default to 5 seconds (the current 1200 seconds must be a
> mistake).
> 
> 
> 2) Separation of LAN and Point-to-Point cases
> =============================================
> 
> Some variables apply only to broadcast or to point-to-point circuits
> but
> others (mainly the variables controlling Hello Timers) can have
> different
> values for broadcast L1, broadcast L2, Designated Router (at both
> levels)
> and point-to-point. One simplification is to use the broadcast L2
> values
> for point-to-point circuits but we should say so.
> 
> 
> Regards,
> Peter